<div>
    <div>
        <div class="panel-heading">
            <button type="button" ng-click="vm.close()" class="back-button"><i class="fas fa-chevron-left"></i></button>

            <input class="heading-input" type="search" ng-model="search" placeholder="Layers">

            <button class="btn btn-outline-dark btn-sm btn-xs" ng-click="map_ctrl.addLayer()">
                <i class="fas fa-plus"></i>
            </button>

            <button class="btn btn-outline-dark btn-sm btn-xs" ng-click="map_ctrl.removeSelected()">
                <i class="far fa-trash-alt"></i>
            </button>
            
            <button class="btn btn-outline-dark btn-sm btn-xs" ng-click="map_ctrl.addInteractionOn('Modify', '')">
                <i class="far fa-edit" ng-class="(map_ctrl.tool=='Modify')?'selektovan':'tool'"></i>
            </button>
            <button class="btn btn-outline-dark btn-sm btn-xs" ng-click="map_ctrl.toggleSelectInteraction()">
                <i class="far fa-hand-pointer" ng-class="(map_ctrl.tool=='Select')?'selektovan':'tool'"></i>
            </button>

            <button class="btn btn-outline-dark btn-sm btn-xs" ng-click="map_ctrl.simplifySelected()">
                <i class="fa fa-magic" ng-class="tool"></i>
            </button>

        </div>
        <div style="max-height:400px;overflow:auto;">
            <table class="table">
                <tbody>
                    <tr class="tr-narrow" ng-repeat="el in map_ctrl.getLayers()| filter:{ name: search } | orderBy:'name'">
                        <td ng-class="focused==el?'row_focused':''" style="width:5%">
                            <span ng-if="el.visible==true" ng-click="map_ctrl.setVisible(el.name, false)">
                                <i class="fa fa-eye" aria-hidden="true"></i>
                            </span>
                            <span ng-if="el.visible==false" ng-click="map_ctrl.setVisible(el.name, true)">
                                <i class="fa fa-eye-slash" aria-hidden="true"></i>
                            </span>
                        </td>
                        <td ng-class="focused==el?'row_focused':''"
                            style="width:25%;">
                            
                            <a href="#" 
                                style="color:{{el.stroke.color}};"
                                ng-click="map_ctrl.editLayerMeta(el)">{{ el.name | limitTo: 15 }}{{el.name.length > 15 ? '...' : ''}}</a>
                        </td>
                        <td ng-class="focused==el?'row_focused':''" style="width:15%">
                            <input type="text" size=5 class="table_input"
                                ng-model="el.stroke.color"
                                ng-focus="focused = el"
                                ng-blur="focused=null;map_ctrl.store_layer_meta(el);"
                                key-focus grupa="layers" vrsta="{{$index}}" kolona="0">
                        </td>
                        <td ng-class="focused==el?'row_focused':''" style="width:5%">
                            <input type="text" size = 2 class="table_input"
                                ng-model="el.stroke.width"
                                ng-focus="focused = el"
                                ng-blur="focused=null;map_ctrl.store_layer_meta(el);"
                                key-focus grupa="layers" vrsta="{{$index}}" kolona="0">

                        <td ng-class="focused==el?'row_focused':''" style="width:5%">
                            <span ng-click="map_ctrl.addInteractionOn(el.type, el.name)">
                                <i class="fas fa-plus" ng-class="(el==map_ctrl.selectedLayer&&map_ctrl.tool=='add')?'selektovan':'tool'"></i>
                            </span>
                        </td>
                        <td ng-class="focused==el?'row_focused':''" style="width:10%">
                            <select class="table_input"
                            ng-model="el.geometryType" 
                            key-focus grupa="env"  vrsta="{{$index}}" kolona="1" 
                            ng-focus="focused = el" 
                            ng-blur="focused=null;map_ctrl.store_layer_meta(el);"
                            ng-options="y for y in map_ctrl.geometryTypes"></select>
                </tr>
        
                </tbody>
            </table>

        </div>
    </div>


    <div ng-class="showModal?'myModal':'myModal-hidden'" >
        <div class="modal-content">
            <div class="modal-header">
                <h4>Naziv</h4>
            </div>
            <div class="modal-body">
                <input type="text" ng-model="map_ctrl.selectedFeature.name">
                <input type="text" ng-model="map_ctrl.selectedFeature.id">
            </div>
            <div class="modal-footer">
                <button class="btn btn-success" ng-click="map_ctrl.saveFeature()">Save</button>
                <button class="btn" ng-click="cancel()">Cancel</button>
            </div>
        </div>
    </div>


</div>